apiVersion: batch/v1
kind: Job
metadata:
  name: debian-build-support
spec:
  template:
    spec:
      containers:
      - name: debian-build-support
        image: build-support:buster
        command: ["/build-scripts/$1", "$2"]
        volumeMounts:
        - name: node-modules
          mountPath: /usr/node_modules
        - name: m2
          mountPath: /root/.m2
        - name: build-scripts
          mountPath: /build-scripts
      restartPolicy: Never
      hostname: build-support
      volumes:
      - name: node-modules
        hostPath:
          path: /home/support/node_modules
      - name: m2
        hostPath:
          path: /home/support/m2
      - name: build-scripts
        hostPath:
          path: /home/support/build-scripts
  backoffLimit: 0

